Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.jcr.mimetype
Class NullMimeTypeDetector

    java.lang.Object
      org.modeshape.jcr.api.mimetype.MimeTypeDetector
          org.modeshape.jcr.mimetype.NullMimeTypeDetector

    public final class NullMimeTypeDetector

extends MimeTypeDetector

Implementation of `MimeTypeDetector` which doesn't detect mime-types.

Nested Class Summary

Nested classes/interfaces inherited from class org.modeshape.jcr.api.mimetype.MimeTypeDetector
`MimeTypeDetector.StreamOperation<T>`

Field Summary
`static MimeTypeDetector` | `INSTANCE`

Method Summary
`String` | `mimeTypeOf(String name, Binary binaryValue)` Returns the MIME-type of a binary value, using its supplied content and/or its supplied name, depending upon the implementation.

Methods inherited from class org.modeshape.jcr.api.mimetype.MimeTypeDetector
`processStream`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final MimeTypeDetector INSTANCE

Method Detail

### mimeTypeOf

    public String mimeTypeOf(String name,
                             Binary binaryValue)

  Description copied from class: `MimeTypeDetector`
  Returns the MIME-type of a binary value, using its supplied content and/or its supplied name, depending upon the implementation. If the MIME-type cannot be determined, either a "default" MIME-type or `null` may be returned, where the former will prevent earlier registered MIME-type detectors from being consulted.

  Specified by:
    `mimeTypeOf` in class `MimeTypeDetector`
  Parameters:
    `name` - The name of the data source; may be `null`.
    `binaryValue` - The value which contains the raw data for which the mime type should be returned; may be `null`.
  Returns:
    The MIME-type of the data source, or optionally `null` if the MIME-type could not be determined.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| ModeShape Distribution 3.0.0.Beta3
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.